<div class="container">
  <div class="row">
    <div
      class="col-sm-6 d-flex justify-content-end"
      [@animate-banner]="estadoBanner"
    >
      <app-banner></app-banner>
    </div>

    <div *ngIf="cadastro; else formLogin">
      <div
        class="col-sm-6 d-flex justify-content-start"
        [@animate-panel]="estadoPanel"
        (@animate-panel.start)="inicioAnimacao()"
        (@animate-panel.done)="fimAnimacao()"
      >
        <app-cadastro (exibirLogin)="exibirPainelPai($event)"></app-cadastro>
      </div>
    </div>
    <ng-template #formLogin>
      <div
        class="col-sm-6 d-flex justify-content-start"
        [@animate-panel]="estadoPanel"
        (@animate-panel.start)="inicioAnimacao()"
        (@animate-panel.done)="fimAnimacao()"
      >
        <app-login (exibirPainel)="exibirPainelPai($event)"></app-login>
      </div>
    </ng-template>
  </div>
</div>
